using System.Collections;
using System.Collections.Generic;
using UnityEngine;

[System.Serializable]
public class WeaponData
{
    [Header("General")]
    public int weaponType;

    [Header("GFX")]
    public Sprite gfx;
    public Vector3 firePointPosition;

    [Header("Stats")]
    public int damage; // урон
    public int currentAmmo; //текущее количество патронов
    public int maxAmmo; // максимальное количество патронов
    public float attackRate; // скорострельность
    public float bulletSpeed; // скорость полета пули
    public float rotationSpeed; // скорость поворота оружия
}
